<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Asofarma 1.0  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="ASONIOSCOC">
		<xsl:attribute name="tipoProveedor">
			<xsl:value-of select="substring-before(Datos/Emisor/@noProveedor,'-')"/>
		</xsl:attribute>
		<xsl:attribute name="noProveedor">
			<xsl:value-of select="substring-after(Datos/Emisor/@noProveedor,'-')"/>
		</xsl:attribute>
		<xsl:attribute name="serie"><xsl:value-of select="Datos/CFD/@Serie"/></xsl:attribute>
		<xsl:attribute name="folio"><xsl:value-of select="Datos/CFD/@Folio"/></xsl:attribute>
		<xsl:attribute name="ordenCompra"><xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/></xsl:attribute>
		<xsl:element name="Partidas">
			<xsl:apply-templates select="Datos/Documento/Partidas/Partida"/>
		</xsl:element>
	</xsl:element>
	</xsl:template>
	
	<xsl:template match="Datos/Documento/Partidas/Partida">
		<xsl:element name="Partida">
			<xsl:variable name="ivatransf" select="sum(./Impuestos/Impuesto[@Tipo='IVA']/@Importe)"/>
			<xsl:attribute name="noPartida">
				<xsl:choose>
					<xsl:when test="./XMLAddenda/Partida/@NoEnOrdenCompra !=''">
						<xsl:value-of select="./XMLAddenda/Partida/@NoEnOrdenCompra"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="position()"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="ivaAcreditable">
				<xsl:value-of select="format-number($ivatransf,'0.00')"/>
			</xsl:attribute>
			<xsl:attribute name="ivaDevengado">
				<xsl:choose>
					<xsl:when test="./XMLAddenda/Partida/@ivaDevengado !=''">
						<xsl:value-of select="format-number(./XMLAddenda/Partida/@ivaDevengado,'0.00')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="Otros">
				<xsl:choose>
					<xsl:when test="./XMLAddenda/Partida/@Otros !=''">
						<xsl:value-of select="./XMLAddenda/Partida/@Otros"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>No aplica</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>